Synchronet modification history
===============================

***************
RELEASE: v1a r8
***************

05/30/92 03:25a
Fixed bug in critical error handling routine that would likely crash the
system.

05/30/92 03:25a
Disabled spinning cursor when inputting strings in the BBS.

05/30/92 04:18a
Fixed several bugs associated with string input using insert mode.

05/30/92 03:45p
New user status line does not contain previous user data now.

05/30/92 03:45p
Popping someone in to sysop or guru chat while entering a password will no
longer echo X's remotely.

05/30/92 10:58p
Sped up the local capture by about 100 times (using buffered file I/O now).

05/31/92 01:25p
Fixed bug - extracting a file FROM the temp directory would delete all the
files in the temp directory.

05/31/92 03:42p
Fixed bug where offline directories extended description directories weren't
created.

05/31/92 03:43p
Fixed bug with fast initialization not creating the DSTS.DAB files if they
didn't exist.

05/31/92 03:44p
'?' and '/?' command descriptions were switched in the ADVXFER menu.

06/01/92 12:49a
Fixed bug where credit adjustments always appeared as "$+" if the user
lost or gained credits.

06/02/92 01:38a
Removed H0 from default modem init string.

06/02/92 01:38a
Added CTS checking before modem init if CTS flow control enabled.

06/02/92 01:38a
Fixed problem with wierd log file dates being written to (013972.LOG)

***************
RELEASE: v1a r9
***************

06/03/92 02:32am
Added total counts in front of all variable length .CFG file fields

06/03/92 02:32am
Added alternate file paths to end of XFER.CFG

06/03/92 02:32am
Added FiAlternatePath to TEXT.DAT

06/03/92 02:32am
Added InvalidAltPathN to TEXT.DAT

06/03/92 02:32am
Added AltULPathNow to TEXT.DAT

06/03/92 02:32am
Added EditAltPath to TEXT.DAT

06/03/92 02:32am
Increased maximum number of sub, grps, libs, dirs etc.

06/03/92 02:32am
Added Support for Alternate file paths and the ;ALTUL sysop xfer sec command

06/03/92 02:32am
Listing a extended file info only searches disk for file once now instead of
twice.

06/03/92 05:48am
Fixed file added to batch upload queue message. Not displaying proper max
files in queue.

06/03/92 06:16pm
Revamped the general text file section. Fixed bug of 'R' and 'E' sysop text
section sysop commands with no files in the section. Limit now 500 sections
with up to 500 files in each.

06/04/92 12:04am
Added Group and Sub-board numbers to the Message scanning prompt

06/05/92 02:19am
Added support for bidirectional QWK and REP packet transfers.

06/07/92 04:05pm
Fixed skipped files in DSZLOG (0 byte sent entries) appearing as successful
downloads.

06/08/92 01:35am
If new user is logging on and there are no users, he is given sysop access
immediately.

06/08/92 10:30pm
New users no longer get short messages waiting for a deleted user.

06/08/92 11:16pm
Can no longer reply in mail to a deleted user's post.

06/10/92 01:01am
Changed MailWaitingLstFmt and SubMsgLstFmt in TEXT.DAT to end in %.47s instead
of %s (to truncate long titles).

06/10/92 02:00am
Fixed QWK invalid conference number bug.

06/10/92 05:00am
Extended the possible length of most strings in TEXT.DAT

06/10/92 05:00am
Removed "#%d" from RegardingTitleByUser in TEXT.DAT

06/10/92 11:11pm
Fixed bug in SCFG when editing security levels values didn't seem to be
changing.

06/10/92 11:20pm
Removed modem resetting from initialization due to problems of receiving calls
while initializing.

06/11/92 02:24am
Fixed bug when hitting Ctrl-C while viewing buffer of ;SIF command.

06/12/92 01:28am
Added PostTo and PrivatePost to end of TEXT.DAT

06/12/92 01:28am
Added Alt-X local online command for Automatic Exit after logoff

06/12/92 02:48pm
Added 'W' (post private message) to both the Scanning and Main section prompts.

06/12/92 02:48pm
Added 'Z' (reply privately on sub) to the Scanning prompt.

06/12/92 02:48pm
QWK packets containing private messages will now be posted on the appropriate
sub-board.

06/12/92 05:24pm
Fixed bug of inserting text on a line with ctrl-a codes.

06/12/92 06:14pm
When editing files, open count won't be prompted for unless it is non-zero.

06/13/92 05:57pm
Removed the '/S' command from the main menu, xfer menu, and the multinode chat
menu. Ctrl-P now sends a message to another node from anywhere.

06/13/92 05:57pm
Changed the NodeToSendMsgTo and CtrlKeyMenu lines in TEXT.DAT

06/17/92 06:17am
Fixed a few more bugs in the line editing insert mode.

06/17/92 08:26am
Removed NodeToLock and NodeToInterrupt from TEXT.DAT

06/17/92 08:27am
Added ;DOWN and Alt-X sysop commands

06/17/92 08:36am
Removed YouCantPostHere from TEXT.DAT (already had CantPostOnSub)

06/17/92 11:20am
The SBBS.EXE is now available in overlaid format only. The SBBSOVL.EXE file
is no longer necessary, and your SBBS.BAT files should run SBBS, not SBBSOVL.

06/18/92 02:57am
Fixed the 0 length successful DSZLOG entry bug again.

06/18/92 05:57pm
Added 16.8k HST and Dual Standard HST to the modem auto-configuration in SCFG.

06/23/92 12:47am
Fixed Ctrl-S/Q and Ctrl-C not working after shrinking.

06/23/92 04:38am
Fixed bug in the creation of DOOR.SYS - contained garbage characters half-way.

06/23/92 07:32pm
Added "\r\n" to end of NodePageMsg in TEXT.DAT

06/23/92 07:32pm
Implemented a Node Statistics Screen while waiting for call.

06/24/92 11:46pm
Changed BillingNodeMsg in TEXT.DAT and changed the way 976/900 billing works.
Now, the node will wait 30 seconds before allowing the user to enter his/her
name/alias to be sure the 18 free seconds have passed. Passwords are no longer
required for billing node access.

06/24/92 05:42pm
The percentage of time used as the basis for leech protocol detection is now
configurable and detection can be eliminated completely, by setting this
percentage to 0.

06/24/92 06:44pm
Sped up the message scan prompt. Only reloads index if the index has changed
since the last prompt, instead of loading the index at every prompt.

06/25/92 12:22pm
;OLD sysop transfer command no longer searches offline file directories.

****************
RELEASE: v1a r10
****************

06/30/92 01:00am
Removed calls to difftime() that were interferring with DESQview operation.

06/30/92 02:53am
Fixed problem with RAW mode getting turned off under certain conditions.

06/30/92 03:01am
WWIV color codes produced by external editors will now be expanded.

06/30/92 03:01am
%l command line specifier is the maximum number of lines per message for this
user.

06/30/92 04:43am
Fixed bug in QWK REP network packet creation.

****************
RELEASE: v1a r11
****************

07/01/92 05:19pm
Fixed bug with rerunning the current node while online remotely. (;RERUN^M)

07/02/92 01:48am
Fixed problem with e-mail in QWK .REP packets

07/02/92 01:48am
Fixed problem with RAW mode not being turned off after entering a message.

07/02/92 03:33am
Made the status screen more colorful and added total email, total posts, total
feedback waiting, new users today, and total user slots.

07/02/92 04:12am
Sped up message index loading (at scan prompts) by 9.6%

07/02/92 02:44pm
Fixed the double menu problem when hitting '?' or '/?' in novice mode.

07/03/92 04:14am
Novice menu mode sysops will now get the WFC menu automatically and the status
screen is disabled.

07/03/92 05:30am
Added DESQview awareness to Synchronet. If the node is waiting for call, it
will give up the majority of it's time slices to the other nodes, increasing
performance with less-than-all nodes active significantly.

07/03/92 01:35pm
Sped up performance under DESQview in ALL circumanstances (including multiple
active nodes) considerably.

07/03/92 01:36pm
Fixed problem of .REP packets being created including files accidentally left
in the temp directory.

07/03/92 02:03pm
Completed ;UEXPORT function for exporting user data to comma delimited file for
import to other database programs. See UEXPORT.DOC for mor information.

07/05/92 06:11am
Fixed bug of long (or garbaged) titles on e-mail from REP packets.

07/05/92 06:38am
Fixed problem with message pointers and new-scan config getting messed up after
running external programs that shrink.

07/05/92 03:19pm
SBBS.EXE was being not being closed when the board shrunk resulting in an
eventual error of "Too many open files".

07/06/92 01:30am
Fixed bug that would occur when a user didn't have access to a low numbered
group or library, but had access to higher numbered groups or libraries.

07/07/92 12:29am
Ctrl-S, Ctrl-Q, and Ctrl-C are now passed on to external editors remotely.

07/09/92 09:56pm
Fixed bug where downloading a QWK packet would not increment posts read during
logon.

07/10/92 12:08am
Titles of messages on sub-boards that are QWK networked will be limited to 25
characters upon input. This eliminates people have their titles truncated when
the message is sent over the network.

07/10/92 12:39am
Fixed problem with aborted uploads with extended descriptions, not allowing
the upload of the file afterwards.

07/10/92 01:15am
Fixed problem of Synchronet running under protected mode multi-taskers
(Windows, DESQview, and OS/2) periodically 'freezing' for long periods of time.

07/11/92 03:52pm
DOS break flag is turned off upon SBBS start up and after every external
program execution.

07/11/92 03:52pm
Changed handling of DCD staying high after modem initialization.

07/12/92 05:20pm
Fixed bug with receiving private posts via QWK packet ending up public.

07/13/92 12:37am
Added memory address of modem status register and modem control register 
contents from the com routines to XTRN.DAT so external programs can now track 
DCD. Utilitized in XSDK v2.01 and higher.

07/13/92 01:33am
Added DOS, DESQview, and Assembly code segment version information to the '&V'
and 'I' main menu commands.

07/13/92 02:13am
Fixed problem of 15 minute limit using commands from WFC screen (reading, 
writing e-mail, etc.)

07/13/92 03:02pm
Fixed REP packets being created with all message public, even if created
private.

07/13/92 07:20pm
Added optional alternate Message Group, Sub-boards, File Libraries, Directories
and External Program listings by creating the menus: GRPS, SUBSx, LIBS, DIRSx,
and XTRN in the TEXT\MENU directory with the proper file extensions.
See CUSTOM.DOC for more information.

07/17/92 12:31am
Fixed problem with using 'c' SBBS command line argument with a connection lower
than the default DTE rate.

07/17/92 03:19am
External programs written for WWIV (including all external editors) will now be
terminated immediately if the remote user hangs up.

07/17/92 03:02pm
Modem is taken off-hook before initialization, so that incoming calls (rings)
will not interfere with modem initialization.

07/17/92 07:55pm
Added Aceex DM-9600VP, DSI Scout and ScoutPlus, and ZyXEL U-1496 series modems
to the modem auto-configuration list.

07/17/92 08:43pm
Fixed problem of Quiet mode default configuration option appearing to sysops
without the 'Q' exemption.

07/17/92 09:08pm
Added two more optional menu files - TPOLICY.* which prints when the user hits
&T from the transfer menu, and TMESSAGE.* which prints when the user enters
the transfer section from the main section.

07/18/92 12:55am
Added ;BENCH main menu command for performance bench marks.

07/18/92 12:55am
More node status information (logon prompt, newuser, networking etc) is
displayed at the WFC node status display.

07/19/92 01:13am
Hitting 'T' at the scanning prompt with the last message of the sub-board as
the current message will continue the new-scan (Browse or Express) or quit
to the main menu from a regular scan ('S' from the main menu).

07/19/92 02:03am
Fixed problem of posts_read variable (log line @-  R: xx) not being incremented
when someone downloaded a QWK packet. It would say R: 0, when in fact the
packet contained messages.

****************
RELEASE: v1a r12
****************

07/21/92 03:12pm
Fixed problem of "allocating memory" for "mail.ixt" with "0" access errors.

07/21/92 03:12pm
Fixed problem of not allowing long enough time to connect on fast machines
(486-33 and faster) and spinning cursor and other delay-dependant functions
running too fast.

07/27/92 03:21pm
Added support for user's security values to be set by Synchronet external 
programs through the MODUSER.DAT file.

07/28/92 02:18am
Added MultiTech MT1432 Series modems to SCFG modem auto-configuration list.

07/28/92 02:19am
Fixed problem of modems sometimes failing initialization after an unsuccessful
answer attempt.

07/29/92 07:30pm
Replaced all delay calls with new mswait function that will delay more
accurately on CPUs with RAM caches and under multitaskers.

07/30/92 02:33am
Baud rate is now set upon returning from online external programs that shrink.

07/30/92 10:51am
Added Boca Research M1440I and M1440E to SCFG modem auto-configuration list.

07/30/92 11:31am
SBBS will ignore DCD when run without the 'c' parameter. It used to attempt to
logon the remote user which turned out to be a problem for those people with
modems that default to leaving DCD high always. If you have someone already
connected and you want to run SBBS so they can use the board, use the 'Cx'
argument to specify that someone is connected and 'x' is the connect rate.
Example: SBBS fc2400 (the 'f' is used to fast-initialize the bbs)

07/30/92 12:00pm
Removed the Ctrl-AN from the beginning of the the Title line in TEXT.DAT. The
clearing of all attributes before printing messagse (posts/e-mail) is now
automatic.

07/30/92 01:57pm
If the sysop has allowed users to edit their passwords, they will be prompted
for a new password to use instead of the random one, when logging on as new.

07/30/92 03:58pm
Added Alt-PgUp command for local uploading of ASCII files without having to
use macro (.MAC) files.

07/30/92 04:14pm
Alt-L command now prompts for capture filename. ;CAP command has been removed.

07/31/92 12:36am
Added Ven-Tel V.32bis modems to SCFG auto-configuration list.

07/31/92 01:01am
Incorrect node numbers in NODE.CFG are automatically corrected when using SCFG.

08/03/92 12:48am
Fixed bug in SCFG where "Closed to new users" couldn't be set to "No" from
"Yes".

08/03/92 01:51am
Removed short user edit format.

08/03/92 01:51am
Changed UserDownloads line in TEXT.DAT, adding %s to end for leech count.
Added UserLeech line to TEXT.DAT after UserDownloads. A leech download counter
is now kept in the user data file for each user. It increments with each
detected leech download and can be edited with the '~' command in User Edit.
Added UeditLeech line after UeditDownloads line in TEXT.DAT

08/03/92 03:05pm
Added RPTUserStatsLeech after RPTUserStatsDlBytes line to TEXT.DAT, ;RPT user
statistics report will now show stats on Leech downloads.

08/03/92 04:14pm
Fixed bug that would sometimes cause user #1's message pointers and new-scan
configuration to go hay-wire. This would occur when using certain wait for
call screen commands and having the inactivity timer abort the function.

08/03/92 06:10pm
Changed AddRemoveEditTextFile line in TEXT.DAT to WhichTextFileSysop, and
changed the text of that line as well. Now a mnemonic prompt.

08/03/92 06:44pm
Fixed bug in SCFG with editing Alternate File Paths. Making a file path longer
than it was when SCFG was initially run, will overwrite the next file path.

****************
RELEASE: v1a r13
****************

08/05/92 04:08pm
Fixed bug in SCFG that would crap-out memory when selecting an option that
required the window to scroll. The best example of this bug was when selecting
Security Level 76.

08/06/92 02:20pm
Started revamping internal QWK support to allow for a different call-out
schedule (days and time/frequency), different compression method, different
call-out node, and different call-out command line per hub.

08/07/92 02:17am
Fixed error reading nodefile with access of 256.

08/07/92 07:56pm
Fixed problem with adding nodes in SCFG - especially more than 8.

08/08/92 02:06pm
New users were starting off with a leech download count, if user #1 had a leech
count. Now, they start off with 0, like they should.

08/09/92 06:45pm
Sped up the initializing ("Reading XXXX...") of configuration information upon
SBBS startup.

08/10/92 06:45pm
Users in external programs developed with XSDK (Synchronet Blackjack, for one)
can now see what external program other users are running, and will see when
other users log on or off. (1b)

08/11/92 03:45pm
Two digit IRQs and COM ports, and four digit I/O addresses can now be entered
in the modem configuration in SCFG.

08/11/92 04:00pm
Started FidoNet support development. Main project is SBBSFIDO utility to import
and export messages between Synchronet and the FidoNet stored message format
specified in FTS-0001. NetMail is immediately exported and SBBSFIDO imports
NetMail directly into the user's mail-box. See SBBSFIDO.DOC for more info. (1b)

08/12/92 11:15pm
Changed user database, adding chat handle, address, location, zip/postal code,
netmail forwarding address, and more. (1b)

08/13/92 02:03pm
Default color scheme (TEXT.DAT) has been improved significantly. (1b)

08/14/92 06:56pm
Added waiting for call screen DOS commands 0-9 and F1-F12. The function key
DOS commands shrink and the 0-9 DOS commands don't. (1b)

08/14/92 06:57pm
Added modem debug output mode by running SBBS with an 'm' argument. (1b)

08/14/92 07:00pm
Hopefully eliminated problem of "Invalid result code: 2" errors.

08/14/92 07:00pm
Modem initialization is now more reliable on fast machines (486-50).

08/14/92 07:00pm
Sub-boards now have anonymous and public messages disallowable or forced. (1b)

08/14/92 07:00pm
Sub-boards can have a unique tagline for each. (1b)

08/14/92 07:00pm
File directories can be set as FREE (no cost to download), no credit for
uploads, or no credit for downloads on a per-directory basis. (1b)

08/14/92 07:00pm
File directories can have anonymous uploads optional or forced. (1b)

08/15/92 03:02pm
Changed user interface and made alternate command/menu sets for sysops to
configure. Users can select an alternate command set, customize their own,
or select the Synchronet default command set. (1b)

08/16/92 02:30pm
Private posts (to and from users other than the current user) are now skipped
during message scanning if <CR> is hit at the scan prompt. "Private Post" is
displayed to non-sysops if they go directly to a private message (or use + to
move forward through the messages), and message is displayed to sysops if they
go directly to the message.

08/16/92 05:00pm
Posts now display "Permanent" if they're permanent and "Read" if they have
been read by the person to whom the message was directed. (1b)

08/17/92 03:58am
Using the 'T' (list next ten titles) message read prompt command now updates
the new-scan date/time pointer for that sub-board to tenth message - as if the
user actually read it.

08/18/92 12:00pm
Changed QWK tagline. Added tear line and Synchronet product name at beginning
of tagline to more closely resemble the standard for QWK taglines.

08/19/92 12:00pm
Added last message time/date and total number of posts in sub indexes to speed
up sub lists ('*' main command) and new message scanning tremendously. (1b)

08/20/92 04:03am
Added Zoom V.32bis, ViVa 9642e, ViVa 14.4/FAX, GVC V.32/V.42bis, and GVC
V.32bis/V.42bis modems to SCFG auto-configuration.

08/20/92 04:04am
Added 16.8k ZyXEL result code to ZyXEL auto-configuration entry.

08/20/92 04:05am
Added support for local QWK packet creation and REP unpacking in SBBS. (1b)

08/21/92 04:28am
External programs can have a cost (in credits) and is displayed next to the
description of the program in the listing. The 'X' exemption allows a user to
run an external program even when he/she doesn't have enough credits. (1b)

08/21/92 04:29am
External programs are now listed in two columns when the total number of
programs is 10 or greater. The program names are now limited to 25 characters
to allow for the double column listing and to keep the node statistic lines
short enough to fit on one line. (1b)

08/22/92 04:32pm
Added modem periodic automatic reinitialization option. (1b)

08/23/92 12:10pm
Added automatic deletion of inactive user accounts after x number of days. (1b)

08/24/92 03:20pm
Added 'P' exemption to make a user permanent, exempt from auto-deletion due to
inactivity or expiration date. (1b)

08/25/92 03:39pm
Added ;UPLIST sysop transfer command to allow the bulk uploading of files via
file list such as a FILES.BBS or other ASCII text file that has one file per
line with the description following the filename. (1b)

08/26/92 04:30pm
Fixed problem with saved lines not redisplaying correctly (Ctrl-U, Ctrl-T, etc)
if saved and restored twice in a row.

08/27/92 03:25pm
Text lines for message To, From, Title, and Date fields are now configured
with SCFG and are not stored in TEXT.DAT. (1b)

08/28/92 06:51pm
Arrow keys in terminal program now send ANSI codes for cursor positioning. (1b)

09/01/92 05:00pm
Added private (key-by-key) live chat between nodes. (1b)

09/01/92 05:30pm
Local sysop, guru, and private chat colors (for local and remote) are now
configurable in ATTR.CFG (1b)

09/05/92 12:00pm
Fixed problem of memory allocation of 0 bytes in QWK.C line 74. This would
occur if you had an empty message for some odd reason.

09/06/92 03:20pm
Added /E, /L, /Q, and /? commands to private chat. Using the /E command, users
can use the split-screen feature of their terminal program to private chat
with another user in split-screen mode. (1b)

09/07/92 04:47am
Fixed the Alt-E (toggle remote echo/input). Wasn't turning back on, and was
deleting a few character to the left of the prompt when turned off.

09/07/92 08:00pm
Added Intel 9600 v.32 modem and MiCC 14400 series modems to auto-configuration
list.

09/09/92 07:40pm
Added Generic 9600 and Generic 14400 modems to auto-configuration list.

09/10/92 10:20pm
Private posts are always displayed to sysops (even during scans now) and not to
users. (1b)

09/12/92 05:00pm
Synchronet now recognizes 16550 UARTs and enables the FIFO buffer.

09/14/92 12:42am
Added ;DOWNLOAD transfer section sysop command. Used to download a file from
any directory or drive on the system. (1b)

09/14/92 03:30am
Fixed problem with running more than one node per machine. If the first node
run was quit or shrunk to run an external program while the other nodes were
runing, the modem communications would stop working on the other nodes.

09/15/92 11:41pm
Removed hang-up checking in WWIV external programs. Aborting the program in
process proved to be a very risky thing to do. Machine lock-ups when a user
would hang-up on some external programs were not uncommon. The external program
must either check for DCD itself, or time-out. If the program does neither,
and a user hangs-up while running the program, the program will not terminate
itself and return to the BBS (bad).

09/16/92 12:52am
Fixed problem with answer alarm going for around 30 seconds instead of 5.

09/16/92 01:55pm
Node messages will now be received when users use the global ctrl-key commands.

09/17/92 04:26pm
Fixed problem with Synchronet generated QWK taglines and having ctrl-a codes
stripped.

09/17/92 07:47pm
Fixed problem with pointers being updated when a user (or QWK node) would
hang-up before successfully downloading a QWK packet.

09/18/92 12:54am
Renaming a file in the transfer section would not rename the extended
description. This has been fixed.

09/18/92 04:22pm
If the file TEXT\TOOSLOW.MSG exists, it will be displayed to users who attempt
to logon a node with a connnect rate lower than the node's minimum connect
rate. (1b)

09/19/92 01:34am
The last blocks in Synchronet generated QWK packets were padded with NULLs
(as stated in QWK spec v1.2). It appears that some off-line readers and network
doors (no names mentioned) do not function properly unless the packet is
padded with spaces (blech!).

09/19/92 04:10pm
Posts now have the 'To' field set to "All" instead of blank if the post is to
everybody. (1b)

09/19/92 11:23pm
Fixed problem of Ctrl-AL (form feed) in posts and creating a QWK packet with
"Expand to ANSI" on. The symptoms of this problem were a "Message too big"
error, then one or two file removal errors (from temp dir), then a checking
memory error (lost memory), and more file removal errors (from temp dir).

09/20/92 08:37pm
'E' restriction now does not keep users from sending feedback. That's what the
'S' restriction is for.

09/20/92 10:02pm
Added 'S' exemption to allow for the sending of NetMail without enough credits.

09/21/92 02:43am
Added 'N' restriction to keep users from posting on networked sub-boards.

09/25/92 08:37pm
Added online help (75k worth!) to configuration program (SCFG) - finally. (1b)

************************
RELEASE: v1a r14 and v1b
************************

09/28/92 02:33am
Modified the MODUSER.DAT functionality. See FORMATS.DOC for more information.

09/28/92 07:42pm
Time (T) exemption allows user to download files past allowed time even when
using Batch Download File Flagging. Previously, it would only allow them to
download past the normal allowed time if they used the regular download
command.

09/29/92 12:28am
PCBoard color codes (@X##) are now supported in message bases.

09/29/92 12:48am
Added "Ctrl-A," "Ctrl-A;" and "Ctrl-A." codes for delays in messages.

09/29/92 12:48am
Added Ctrl-A(^A) through Ctrl-A(^Z) for toggling echo off/on for users that
don't have a main flag (A-Z). This allows for menus that have options only
displayed to users with a certain main flag or set of main flags.

09/29/92 12:50am
Added Ctrl-A! through Ctrl-A( for toggline echo off/on for users that have
levels less than 10-90 respectively. Ctrl-A) restores echo. These Ctrl-A codes,
in combination with Ctrl-A(^A)-(^Z) allow for menus or text files that have
options or other areas of text that aren't displayable to users without the
right main level or main flag(s).

09/29/92 12:52am
Animated ANSI messages no longer have automatic pausing [Hit a key] prompts
appear in the middle of them.

09/29/92 01:14am
Added support for using custom menus to replace the text file section and
text file listings. See CUSTOM.DOC for more information.

09/30/92 04:28am
Scans for text and message to you will now search sub-boards that aren't in
your new-scan list even when you select 'N' for "Display Titles Only".

09/30/92 04:35am
Added support for expanding Wildcat @##@ attribute codes.

09/30/92 04:40am
Fixed problem with QWK taglines being appending off-center, or sometimes not
at all.

09/30/92 06:59am
Added support for WWIV ^C# color code expansion in messages and menus.

09/30/92 06:59am
Color #7 was not expanding correctly with native WWIV external programs.

09/30/92 09:20am
Online help for configuration program is now indexed for fast response to F1.

09/30/92 06:43pm
Fixed problem when entering more than 500 lines in internal editor.

10/01/92 02:06am
Added e command line parameter for SBBS to be able to pass the number of
minutes till the next event from a front-end mailer.
Example: sbbs q c2400 e60
Would logon an already connect caller at 2400bps, allow the user a maximum of
60 minutes online due to an upcoming event, and quit the BBS with the phone
off-hook (busy) when the user logs off.

10/01/92 04:10pm
ANSI messages uploaded in raw mode (&R) will now have keyboard reassignment
codes converted to beeps. This is the protect against ANSI bombs.

10/02/92 11:02am
Fixed problem of getting file removal errors when trying to delete a piece of
e-mail that has already been deleted or forwarded.

10/02/92 05:56pm
Extra unreceived short messages are now removed upon logoff.

10/02/92 05:57pm
Fixed problem that would occur if a user that was waiting for another node to
join private chat, would send a message to a node other than the node he/she
was waiting for.

10/04/92 03:35am
Fixed problem with inserting or deleting sub-boards, and then going into the
QWK network hub configuration and making/saving changes. Sub-boards that were
carried on a hub may be moved or removed from the hub's configured sub list.

10/07/92 05:29pm
E-mail sent to "SYSOP" will be automatically sent to user #1.

10/07/92 05:30pm
New users can't use the name "SYSOP" now.

10/08/92 12:49am
Fixed problem with files uploaded via ;UPLIST command sometimes having the
extended description flag on, even when there isn't an extended description
or having the uploader as anonymous (UKNOWN USER) instead of the uploader's
name.

10/08/92 01:36am
Fixed problem with in SCFG when creating more than one directory with the same
internal code and pressing ESC would generate the proper warning message, but
the screen would be messed up (garbage) after that.

10/08/92 04:33am
Synchronet can now shrink AND intecept I/O interrupts to execute external
programs. To shrink and execute a program written with the Synchronet XSDK, it
must have been written using XSDK v2.03 or later.

10/09/92 12:25am
After transfers that will automatically hang-up, screen pause is disabled so
that if a lot of text is displayed after the transfer, the pause prompt won't
keep the node from haning the user up.

10/09/92 01:58am
When downloading a large batch queue of files from a directory that has
"Copy to temp" turned on, the pause prompt would appear on each page-full. That
has been fixed.

10/09/92 02:07am
Imported QWK packets now must contain valid ctrl-a codes, or the ctrl-a will
be stripped from the messages.

10/09/92 12:26pm
Added "Clone Options" command to SCFG for easily copying the options of one
sub-board or file directory into all others of that same group/library.

10/09/92 01:47pm
Non QWK networked sub-boards are automatically skipped when creating a QWK
packet for a QWK network node.

10/09/92 07:43pm
Fixed problem with private node-to-node chat and one user exiting and
reentering while the other user is in a Ctrl-P (private node message) command.

10/09/92 07:50pm
Fixed line NodeLeftPrivatChat in TEXT.DAT - the end was supposed to be ^An\r\n,
not ^A\r\n. The result was local and remote echo being disabled when a user
that didn't have the M main flag (^A\r is ^A^M) had someone exit private chat
on them.

10/10/92 12:46am
Uploaded REP packets will no longer pause (Hit a key) when extracting messages.

10/12/92 03:30am
Added network option for exporting ASCII characters only on specific networked
sub-boards. This is to allow for network policies that do not allow extended
ASCII or control characters (not including CR).

10/12/92 05:32am
Increased maximum number of users on system from 4000 to 9000.

10/12/92 05:33am
DEMO limitations have been decreased to allow more effective evaluation using
the demo version. Most importantly, the maximum number of users has been rasied
from 4 to 20, max messages per sub from 5 to 50, max files per dir from 5 to 50
and max lines per message from 20 to 50. Maximum groups and libraries was
raised from 3 to 5 and maximum sub-boards and directories raised from 6 to 50.
And maximum QWK net hubs raised from 1 to 2.

10/12/92 09:34pm
Added Cardinal 9600 and 14400, and Lightcom 144F modems to SCFG modem
auto-configuration list.

10/13/92 05:04am
Added total number of files to information displayed on wait for call status
screen.

10/15/92 05:56pm
Fixed problem of removing sub-boards that were listed under a QWK network hub.

10/16/92 04:11am
Added sub-board new-scan ADD and DROP capabilities to QWK REP uploads.

10/16/92 04:37am
"Uploading QWKID.REP" is now displayed before uploading a REP packet. This
is for smart terminal programs that figure out the filename to upload
automatically.

10/16/92 04:53am
Changed the way the 'D', 'X', and 'S' exemptions work. Users with any of these
exemptions no longer lose credits when performing the exempted function.
Before, the exemption would just let the user perform the function without
enough credits, but still remove them as cost if the user had any credits. The
user's credits are left alone now.

10/16/92 06:20am
Users can now send FidoNet NetMail using QWK REP packets. The message must be
sent to "NETMAIL" in conference number 0 (E-Mail) and the first line of the
message must start with the destination username and address in "name @addr"
format. Example: "Rob Swindell @1:103/705" - Real name or Alias can be used
and the space between the name and the '@' symbol is optional.

10/17/92 12:26am
When a user's account expires, his/her ML, MF, TL, TF, restrictions, and
exemptions are set to the values of a new user. Previously, expired accounts
were deleted.

10/17/92 11:25pm
Added pseudo word wrap to private node-to-node chat.

10/20/92 04:32pm
Files can now be transferred between QWK nodes and hubs using the DATA\QNET
sub-directories. <QWKID>.IN is where received files end up and <QWKID>.OUT is
where files are placed for outgoing.

10/22/92 05:26pm
The message new-scan configuration now allows you to toggle all the sub-boards
in a message group with one keystroke ('A').

10/22/92 05:27pm
The clearing of the screen for the external programs menu and the text file
sections is no longer hard-coded. It is included in the TEXT.DAT strings for
the headers of those listings (Ctrl-AL). Clear screens can easily be added
to group and sub-board listings, mail listings, etc. just by adding a ^AL to
the beginning of the header string (and removing and "\r\n"'s from the
beginning of the header string).

10/22/92 05:43pm
E-mail sent to a user with a NetMail forwarding address from a QWK REP packet
will now be automatically converted to NetMail.

10/23/92 01:49am
Trash can files have been added for Alias/Name/Handle and Phone numbers. The
files are NAME.CAN and PHONE.CAN located in the TEXT directory. Each line
contains a string that cannot be used by users. If the string ends in '~' the
string cannot be contained in the data field anywhere. If the string ends in
'^' the string cannot be the beginning of the data field. The strings are NOT
case sensitive.

10/26/92 09:11am
'T' (list next ten titles) was not working from the 'Read All Mail' prompt.

10/27/92 08:32pm
ANSWER.ASC will now be used if ANSWER.ANS does not exist and Ctrl_A codes
will be expanded with color if they exist in either ANSWER.ASC or ANSWER.ANS
and ANSI is detected.

10/28/92 02:40am
Fixed problem with certain door file formats containing the user note in the
user location (City) field.

10/28/92 07:41am
Solution found for external programs that do not check DCD on their own (many
WWIV doors and editors). Created program DCDWATCH that is to be run on the
command line of the program with the %& command line specifier. Example:
%!dcdwatch %& %!food %f
This line will run DCDWATCH (Synchronet utility) that will run FOOD.BAT (Food
Fight for WWIV) and if the user drops DCD (hangs-up), the program will
immediately terminate. The %& MUST follow DCDWATCH on the command line.
DCDWATCH is useful for some external editors as well (like SVI and FEDIT).

10/29/92 02:40am
When QWK Network nodes logoff a HUB, messages are not sent to the other nodes
to notifiy them of the logoff.

10/31/92 07:50am
Change ;DOWNLOAD sysop xfer command to ;GET and added ;PUT command to direct
upload files to the disk (not placed in database) from remote system.

10/31/92 05:00pm
Added Ctrl-"<filename> code for displaying a text file from within another.
Useful for having your logon file display other files who's content may
dynamically change.

11/02/92 10:28am
Changed Alt-PgUp (ASCII upload) to just PgUp, change the status line scroll
keys from Up, Dn, PgUp, and PgDn, to Ctrl-Up, Dn, Home, and End. The Up and
Down arrow keys can now be used in the internal editor for moving between lines
in a message.

11/16/92 04:20pm
Lines longer than 80 characters in TEXT.DAT will no longer mess up the SBBS
initialization.

11/16/92 04:21pm
If a user hits Ctrl-C or hangs-up while creating a file list, the creation will
be immediately aborted.

11/16/92 04:22pm
Users will not be allowed to post private messages on sub-boards that don't
allow them with QWK REP packets.

11/16/92 04:23pm
Users will not be allowed to post private messages to a blank username or "ALL"
and messages posted from REP packets on sub-boards that only allow private
messages will be automatically converted to private posts.

11/16/92 05:52pm
Messages posted from REP packets on sub-boards that only allow anonymous posts
will be posted as anonymous now.

11/17/92 01:30am
If a user has access to a Group or Library, but not to any Subs or Dirs in
that Group or Lib, then the user will not have access to the Group or Lib. This
eliminates the configuration logic problem that many sysops came across when
setting up Synchronet for the first time. This would either cause a Group or
Library to appear in the '/*' listing with 0 Subs or Dirs available and that
Group or Lib could not be changed into, or if the 1st Library or Group had this
configuration error, then users would be kept from accessing either the
transfer section (in the case of library access with no directories) or kept
from accessing the entire BBS (in the case of Group access with no sub-boards).

11/17/92 02:28pm
Added "Start-up Directory" option for Online External Programs. This eliminates
the need for the usually necessary batch file to change the current drive and
directory before executing the program's command line.

11/17/92 02:31pm
Removed the "Allow Log Writes" option for the Online External Programs.

11/17/92 02:32pm
Added "Intercept I/O Interrupts" option for External Editors. This allows
sysops to use editors that use their own COM routines or FOSSIL drivers for
communications. This and the above two modifications required a new XTRN.CFG
format, so the conversion utility - XTRNCVT is necessary to upgrade from v1b
rev 0 to rev 1. The new format is more extensible so future conversions of
XTRN.CFG should not be necessary.

11/18/92 03:40am
Fixed bug of allowing the sysop to be able to move a file into a library one
number larger than the total installed libraries which would cause havok.

11/20/92 02:37pm
ESC[#;#f (out-dated ANSI cursor positioning code) is now supported when
intercepting I/O interrupts. Most notable fix for PitFiend.

11/21/92 02:36pm
Fixed bug that would disallow users to logon with their alias, if they first
entered a deleted or inactive user's name or number at the NN: prompt.

11/23/92 12:28am
Fixed problem of download ETA on node status line reporting "am" for 12noon
through 12:59pm.

11/23/92 01:29am
Added 'M' restriction to keep specific users from sending NetMail.

11/24/92 01:09am
Fixed problem of QWK Hub call-out days not working correctly.

11/26/92 01:57am
Added support for Celerity color codes in messages and menus (extra attribute
codes).

11/26/93 02:43am
Added options for disabling the echo of passwords locally and requiring the use
of passwords when logging on locally.

11/26/93 02:44am
Added options to disallow local and/or remote sysop logons.

11/26/93 02:36am
Added support for exiting with error level 100 when receiving a result code
that contains the string "FAX".

11/16/93 02:37am
If the description for a result code has "EXIT nn" (where nn is a number),
Synchronet will exit with that error level when receiving a connection
with that result code.

11/17/93 04:10am
PostLink and PCRelay hubs can now be configured for flexible call-out events
in SCFG, under Networks->PostLink and PCRelay Networks. If the BBS is on
PostLink or PCRelay, the system's Site Name and Site Number are displayed on
the system information screen.

11/17/93 04:11am
PostLink or PCRelay network option added for sub-boards.

11/17/93 04:12am
Uploaded REP packets now adhere properly to the 'N' restriction (not allowing
posts on Networked subs).

11/30/93 03:00am
DTE rate is specified correctly in external program (door) data (drop) files
now. Only a problem for modems with non-locked baud rates and slower callers.
i.e. 2400 non-MNP modem and a 1200bps caller. '%b' command line parameter
also fixed. Before, the default com rate (2400 in the above case) would be
used instead of the current connect rate.

11/30/93 02:47pm
Added message quoting option for auto-replies in sub-boards. Works with all
editors (full-screen works best, though).

11/30/92 03:03pm
Added option to allow for quoting in auto-replies in e-mail. Works will all
editors (full-screen works best, though).

11/30/92 03:35pm
Fixed the PP14400FX modem auto-config entry special init string.

12/01/92 12:15am
External programs set to shrink would not run the clean-up command line (if
one was specified). Now they will.

12/01/92 02:32am
Added support for RBBS/QuickBBS EXITINFO.BBS file. If RBBS DORINFO#.DEF file
is selected for an external program's data file type, EXITINFO.BBS is created
as well. If "Modify User Data" is set to "Yes", then Synchronet will read in
the EXITINFO.BBS file after returning from the external and use the main level
and main flags from the EXITINFO.BBS file. This allows Sysops to use Call-back
verfication doors written for RBBS, QuickBBS, RemoteAccess, and SuperBBS if the
program only requires DORINFO#.DEF and EXITINFO.BBS. One such door is CALL-BACK
v4.02 by Don Laverdure of DLR DOORS (filename: C-B402.ARJ).

12/01/92 02:44am
External program set to shrink and modify user data would not actually read
in the modified user data and make the changes after returning to the BBS.
Now they will.

12/01/92 02:57am
Added sysop NetMail crash status over-ride. If "NetMail defaults to Crash"
is set to "No", a sysop can send crash NetMail from the BBS by starting the
title with "CR:". The "CR:" is stripped from the title before sending.
Otherwise, the NetMail will be sent normally. The "CR:" is ignored if used by
users. (The "CR:" may or may not be followed by a space).

12/04/92 03:09am
Added "Leech protocol minimum transfer time" option. This will eliminate small
files that are immediately aborted from triggering the leech detection
mechanism. This value is the minimum transfer time (in seconds) that must have
occured before a leech detection is logged.

12/04/92 08:45pm
Fixed problem with extended descriptions not being deleted if upload was
aborted.

12/05/92 12:02am
Added minimum age option for external programs.

12/08/92 07:32pm
Added option in SCFG for deleting messages in sub-boards when deleting
sub-boards or groups from configuration.

12/08/92 08:15pm
Added UTIDOOR.TXT file option for external program data file types. This is
to support MegaMail off-line reader door and other programs that use the
UTI door file.

12/09/92 03:56am
Added minimum transfer level and transfer flags for downloading from specific
directories. This allows the sysop to give listing/viewing access to a user
but keep the user from downloading from specific directories. This is useful
for subscription systems that require payment for download privilages to
certain directories.

12/14/92 06:52am
Added support for RIPterm support. RIP files are supported for ALL menu and
other ASC/MON/ANS files. (*.RIP will be used if the user supports RIP and the
file exists)

12/18/92 12:39pm
User's main flags are now passed in XTRN.DAT to be compatible with XSDK v2.03.

12/19/92 03:34am
SBBSNODE environment variable is now set to the current node's directory -
not number. SBBSNNUM environment variable is set to the node number.

12/20/92 12:29pm
Fixed error message when creating "CHAT.DAB" for the first time on a new
multinode BBS.

12/28/92 03:02pm
Added FILE.CAN support. This file uses the same syntax as NAME.CAN and
PHONE.CAN (in the text directory), but is used for filenames users attempt
to upload.

12/28/92 03:03pm
All three trash can files now have an optional explanation message that will
be displayed if it exists. The filename is BADxxxx.MSG where "xxxx" is the
name of the .CAN file. Example, if a user tries to use a name that is in the
NAME.CAN file, he will not be allowed and if the file BADNAME.MSG exists
(in the text directory) it will be displayed to him. Same with BADPHONE.MSG
and BADFILE.MSG

12/29/92 02:55pm
Added new command line switch ('S') to skip directory checking upon SBBS init.
This new switch should be used when running Synchronet from a front-end (such
as FrontDoor or D'bridge) to speed up initialization. It can also be used on
systems where the transfer drives or directories are not accessible from
certain nodes.

12/29/92 03:40pm
When a user is on two nodes at the same time, a critical error is logged so
that the sysop is immediately alerted.

12/31/92 06:49am
Main and Transfer menus now clear the screen before display. If in Novice mode,
a pause will appear before the menu is displayed if there is text to be read
on screen that would have otherwise been cleared immediately. A perfect example
is hitting '*' or '/*' and having the screen clear before being able to read
the text.

12/31/92 02:44pm
Most of the menus now have clear screen (form feed - ^AL) in them for easier
use in Novice mode. The Chat section menu now appears at every Chat: prompt for
Novice users and the Multi-node menu automatically appears for Novice users.

01/01/93 03:44pm
`[ message codes are now converted to <ESC>[ for ANSI sequences coming from
other BBS software packages that convert ESC to `.

01/01/93 03:45pm
Keyboard reassignment codes are stripped from all messages during display, so
ANSI bombs across a network won't have any effect on a Synchronet system.

01/02/93 04:40pm
Communications port interrupt vectors are now restored before and recaptured
after executing external programs that do not require intercepted I/O
interrupts. This allows for file transfer protocols and online programs to use
FOSSIL drivers without having to have the FOSSIL restore vectors before
returning to the BBS. This also elevates problems with programs that bomb-out
without restoring the vectors properly.

01/06/93 12:02pm
External programs can now be launched directly from the main or transfer menus
by configuring a Command Key for either menu.

01/07/93 01:03am
Sysop can now configure the default toggle options for New Users. Make sure
you have Pause default to ON and Expert default to OFF.

01/08/93 12:44am
When downloading batch (or bidir) from directories that have "Copy to temp"
turned on and the download is aborted, the files are now not deleted. So the
remaining (unsuccessfully transferred) files, don't have to be copied again
from the CD-ROM before downloading.

01/08/93 04:03am
Added to the WFC status screen: Node number, logons today for node, time on
today for node, name of last user online (and connect rate), and date/time
that the statistics were last updated.

01/11/93 03:32pm
New users are given a NULL expiration date (1/1/70) instead of an expiration
date in the future.

01/15/93 04:29am
Total messages packed (for E-mail and per sub-board) is now displayed when
creating a QWK packet.

01/15/93 04:30am
Private posts to or from users other than the sysop are now included in a
sysop's QWK packet.

01/15/93 04:31am
Sysop can now A)utoreply to private posts for another user.

01/15/93 04:32am
Private posts created by a user are now included in a QWK packet.

01/15/93 04:33am
Hitting 'M' after a private post no longer lets a user (non-sysop) reply to a
private post that was posted to another user.

01/17/93 06:03pm
If a user has "Auto new file scan" and "Batch download flagging" set to yes in
his defaults and he adds files to the download queue in a new msg/file scan,
he will end up in the transfer section instead of the main section after the
scan.

01/18/93 12:01pm
Fixed NETFLAGS.DAT file for better compatibilty with other QWK networking
packages. This only effects Synchronet systems that are QWK hubs for other
non-Synchronet systems.

01/21/93 12:28am
Fixed problem with WFC function keys (F2-F12) not working.

01/23/93 12:34pm
CTS is now given 30 seconds to raise before initializing the modem. Previosly,
if CTS was low before initialization, the program exit with an error. Now,
30 seconds is given before it considered an error.

***************
RELEASE: v1b r1
***************

